Create Submission
curl --request POST \
--url https://api.ontora.com/v1/feedback-program/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"category": "<string>",
"route": "<string>",
"page_load_id": "<string>",
"posthog_session_url": "<string>",
"posthog_distinct_id": "<string>",
"user_agent": "<string>",
"context_log": [
{}
]
}
'import requests
url = "https://api.ontora.com/v1/feedback-program/submissions"
payload = {
"body": "<string>",
"category": "<string>",
"route": "<string>",
"page_load_id": "<string>",
"posthog_session_url": "<string>",
"posthog_distinct_id": "<string>",
"user_agent": "<string>",
"context_log": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
category: '<string>',
route: '<string>',
page_load_id: '<string>',
posthog_session_url: '<string>',
posthog_distinct_id: '<string>',
user_agent: '<string>',
context_log: [{}]
})
};
fetch('https://api.ontora.com/v1/feedback-program/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"user_email": "<string>",
"body": "<string>",
"category": "<string>",
"route": "<string>",
"status": "new",
"mode": "text",
"context_log_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"interview_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turn_index": 123,
"reaction": "up",
"github_issue_url": "<string>",
"github_issue_number": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}feedback-program
Create Submission
Submit feedback plus a session-context snapshot. Open to every authenticated user; only an explicitly removed account is blocked.
POST
/
v1
/
feedback-program
/
submissions
Create Submission
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 8000Maximum string length:
512Maximum string length:
128Maximum string length:
255Response
Successful Response
Available options:
new, triaged, resolved, archived Available options:
text, interview_turn, voice Available options:
up, down Was this page helpful?
⌘I